This page might be outdated. For more recent information have a look at the englisch original.

Install Ink/Stitch

Guide vidéo

Nous fournissons aussi aux débutants des tutoriels vidéo sur notre chaine YouTube. Les vidéos sont en anglais. Mais il y a des sous-titres en français.

Pour le processus d’installation regardez la vidéo pour votre système d’exploitation

Prérequis

  • Inkscape Version 0.92.2 ou supérieure

C’est tout! Toutes les librairies python et dépendances externes sont incluses (en utilisant l’excellent pyinstaller), de sorte que vous ne devriez pas avoir quoi que ce soit d’autre à installer.

Info: Inkscape Version 0.92 ou supérieure, a une caractéristique vraiment essentielle: la “boite de dialogue Objets”.
Elle vous donne une liste hiérarchisée des objets de votre fichier SVG, dans leur ordre d’empilement. C’est vraiment important parce que l’ordre d’empilement dicte l’ordre dans lequel les formes seront brodées.

Les versions 0.92.2 et supérieures vous permettent de lier une touche aux nouvelles commandes, “monter” et “descendre”, que vous pouvez assigner aux touches “page haut”, “page bas”. Cela vous permettra de réordonner les objets dans le fichier SVG directement dand l’ordre de broderie. Cela marche beaucoup mieux que les anciennes commandes “monter” et “descendre”.

Installation rapide

1. Télécharger

Télécharger, en tenant compte de votre plateforme.

Le LOCALE sélectionné affecte les menus à l’intérieur d’Inkscape. Les dialogues d’Ink/Stitch sont dans la langue de votre OS (si cette langue est supportée).

Tip: Ink/Stitch n’existe pas dans votre langue?
Aidez-nous à traduire les dialogues dans votre langue maternelle.

Langage Linux (64bit) Windows macOS (Catalina) [?]
Allemand Linux Windows macOS
Anglais Linux Windows macOS
Finnois Linux Windows macOS
Français Linux Windows macOS
Italien Linux Windows macOS

Dernière version: Ink/Stitch v1.28.0 (2020-05-16)

2. Installation

  • Dans Inkscape, allez à Edition > Préferences > Systeme et cherchez dans ce tableau où se trouve votre dossier Extensions utilisateur.
  • Décompressez l’archive Ink/Stitch directement dans ce dossier.
    Ce dossier doit présenter une structure semblable à l’exemple ci-dessous (avec juste un tas de fichiers en plus): File Structure
  • Redémarrez Inkscape.
  • Vous trouverez alors Ink/Stitch sous Extensions > Ink/Stitch.

Linux:

 $ cd ~/.config/inkscape/extensions
 $ unzip ~/Downloads/inkstitch-refs-tags-v1.28.0-linux-fr_FR.zip

macOS

macOS nécessite une méthode de téléchargement spéciale. Si vous téléchargez la version Ink/Stitch via le navigateur, vous recevrez des messages tels que “Impossible d’ouvrir ‘xxxx’, car cette app provient d’un développeur non identifié”. Ce message apparaît car nous n’avons pas acheté de certificat auprès d’Apple. Vous pouvez éviter ces messages en téléchargeant Ink/Stitch avec curl:

$ cd ~/.config/inkscape/extensions
$ curl -LJO https://github.com/inkstitch/inkstitch/releases/latest/download/inkstitch-refs-tags-v1.28.0-osx-fr_FR.zip
$ unzip inkstitch-refs-tags-v1.28.0-osx-fr_FR.zip

Info: Ink/Stitch pour macOS fonctionne actuellement seulement avec Catalina (10.15) et supérieur. Pour les anciennes versions de macOS, utilisez Ink/Stitch 1.26.2 (2019-08-20):
Allemand: Sierra, High Sierra, Mojave
Anglais: Sierra, High Sierra, Mojave
Français: Sierra, High Sierra, Mojave

Windows

  • Faites afficher le répertoire caché AppData (aller à C:\Users\%USERNAME%\, par exemple C:\Users\Janet)
  • Dézippez dans C:\Users\%USERNAME%\AppData\Roaming\inkscape\extensions

Mise à jour

  • Il faut d’abord effacer tous les fichiers de l’ancienne extension:
    Ouvrez le répertoire des extensions et supprimez chaque dossier ou fichier inkstitch*.
  • Puis procédez comme ci-dessus.

Astuce: Inscrivez-vous aux news pour avoir connaissance des mises à jour d’Ink/Stitch:
GitHub Feed on new Releases
Ink/Stitch News

Or watch the project on GitHub:

Installation manuelle

C’est possible d’installer Ink/Stitch manuellemnt. Ce n’est cependant pas recommandé - A moins que vous vouliez participer au développement de l’extension. Dans ce cas jetez un coup d’oeil à la section documentation développeur.